<!DOCTYPE HTML>
<html lang="es">
    <head th:replace="frags/head"></head>
    <body>
        <div th:replace="frags/header"></div>

        <div id="cart_details">
            <section class="section-content bg padding-y border-top">
                <div class="container">
                    <div class="row">

                        <div class="col-12" th:if="${session.cart.items.size() == 0}">
                            <div class="alert alert-info">
                                <h4 class="text-muted" th:text="#{cart.empty}">No hay items en el carrito.</h4>
                            </div>
                        </div>

                        <main class="col-sm-9" th:if="${session.cart.items.size() > 0}">
                            <div class="card">
                                <div class="row-sm1 text-center text-muted border-bottom-dark ">
                                    <div class="col-md-6 d-none d-sm-block">
                                        <strong th:text="#{cart.item}">Producto</strong>
                                    </div>
                                    <div class="col-md-2 d-none d-sm-block">
                                        <strong>&nbsp;</strong>
                                    </div>
                                    <div class="col-md-2 d-none d-sm-block">
                                        <strong th:text="#{cart.price}">Precio</strong>
                                    </div>
                                    <div class="col-md-2 d-none d-sm-block">
                                        <strong>&nbsp;</strong>
                                    </div>
                                </div>

                                <div class="row-sm1 p10 text-muted border-bottom-dark shopping-cart-wrap cart-details-not-empty" th:each="item : ${session.cart.items}" th:id="|item-${item.id}|">
                                    <div hidden="hidden" th:text="${item.id}" class="itemId"></div>
                                    <div class="col-md-6 col-12 p5">
                                        <figure class="media">
                                            <div class="img-wrap">
                                                <img th:src="${item.image}" class="img-thumbnail img-sm" onerror="this.src='/images/no_logo.png'"/>
                                            </div>
                                            <figcaption class="media-body">
                                                <a th:href="|/details/${item.id}|">
                                                    <h6 class="title text-truncate" th:text="${item.title}"></h6>
                                                </a>
                                                <p th:utext="${item.description}"></p>
                                            </figcaption>
                                        </figure>
                                    </div>
                                    <div class="col-md-2 col-12 p5">
                                        <!--<select class="form-control update-item" th:id="|item-quantity-${item.id}|" th:disabled="${item.isAfiliateItem()}">
                                            <option th:each="i : ${#numbers.sequence(1, 5)}" th:value="${i}" th:text="${i}" th:selected="${i == item.quantity}" th:attr="data-id=${item.id}"></option>	
                                        </select>-->
                                    </div>
                                    <div class="col-md-2 col-6 p5 text-center">
                                        <div class="price-wrap"> 
                                            <var class="price" th:text="${item.priceString}" th:id="|item-price-${item.id}|"></var> 
                                            <!--<small class="text-muted" th:text="|(#{unit} ${item.priceString})|"></small> -->
                                        </div>
                                    </div>
                                    <div class="col-md-2 col-6 p5">
                                        <a href="" class="btn btn-outline-danger delete-item" th:attr="data-id=${item.id}" th:text="#{cart.remove}"> × Quitar</a>
                                    </div>                                
                                </div>

                            </div>
                        </main>

                        <aside class="col-sm-3 mt-3 cart-details-not-empty" th:hidden="${session.cart.items.size() == 0}">
                            <dl class="dlist-align">
                                <dt th:text="#{cart.subtotal}">SubTotal: </dt>
                                <dd class="text-right" th:text="${session.cart.subTotalString}" id="cart-subtotal"></dd>
                            </dl>
                            <dl class="dlist-align">
                                <dt th:text="#{cart.shipping}">Envío:</dt>
                                <dd class="text-right" id="cart-discount" th:text="${session.cart.shippingString}"></dd>
                            </dl>
                            <dl class="dlist-align h4">
                                <dt th:text="#{cart.total}">Total:</dt>
                                <dd class="text-right" th:text="${session.cart.totalString}" id="cart-total"><strong></strong></dd>
                            </dl>
                            <hr>
                            <figure class="mb-3 text-center text-white">
                                <a href="/register" class="btn btn-lg btn-success" th:text="#{cart.proceed}">Proceder</a>                            
                            </figure>
                        </aside>
                    </div>
                </div>
            </section>
        </div>

        <section class="section-content bg padding-y-sm">
            <div class="container">
                <div class="row">
                    <div th:replace="frags/related"></div>
                </div>
            </div>
        </section>

        <div th:replace="frags/footer"></div>
        <div th:replace="frags/scripts_index"></div>
    </body>
</html>